package com.gic.store.constant;

/**
 * @author guojx
 * @date 2019/6/26 1:46 PM
 */
public enum StoreGroupErrorEnum {
    Error("9999", "门店分组服务异常"),
    DeleteError("1000", "该分组下存在门店，不能删除"),
    GroupLevelError("2000", "分组层级参数数据错误"),
    AllStoreGroupError("3000", "所有门店已存在"),
    ParentStoreGroupParamError("4000", "父级ID参数错误"),
    EditDefaultStoreGroupError("5000", "默认分组：未分组门店，不可编辑"),
    StoreGroupNotExist("6000", "门店分组主键错误，数据未查到"),
    SortError("7000", "排序错误！");

    private String code;
    private String message;

    private StoreGroupErrorEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
