package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreStrategyDTO;

import java.util.List;

public interface StoreStrategyApiService {
    ServiceResponse saveStoreStatusStrategy(StoreStrategyDTO storeStrategyDTO);

    ServiceResponse saveStoreGroupStrategy(StoreStrategyDTO storeStrategyDTO);

    ServiceResponse<Page<StoreStrategyDTO>> pageStoreStatusStrategy(Integer enterpriseId, String search, int page, int pageSize);

    ServiceResponse<Page<StoreStrategyDTO>> pageStoreGroupStrategy(Integer enterpriseId, String search, int page, int pageSize);

    ServiceResponse moveStoreStatusStrategy(Integer enterpriseId, Integer storeStrategyId, int moveType);

    ServiceResponse setSortStoreStatusStrategy(Integer enterpriseId, Integer storeStrategyId, int value);

    ServiceResponse moveStoreGroupStrategy(Integer enterpriseId, Integer storeStrategyId, int moveType);

    ServiceResponse setSortStoreGroupStrategy(Integer enterpriseId, Integer storeStrategyId, int value);

    ServiceResponse<StoreStrategyDTO> storeStrategyDetail(Integer id);

    ServiceResponse deleteStoreStrategy(Integer id);

    ServiceResponse setStoreGroupStrategyWeight(Integer enterpriseId, int weight);

    ServiceResponse getStoreGroupStrategyWeight(Integer enterpriseId);
}
